﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Interactions;

namespace XamDialogWindowLeakTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class DialogWindow : XamDialogWindow
	{
		public DialogWindow()
		{
			InitializeComponent();
		}

		private void XamDialogWindow_WindowStateChanged(object sender, WindowStateChangedEventArgs e)
		{
			if (e.NewWindowState == Infragistics.Controls.Interactions.WindowState.Hidden)
			{
				Panel p = VisualTreeHelper.GetParent(this) as Panel;
				if (p != null)
				{
					p.Children.Remove(this);
				}
				
			}
		}
	}
}
